Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.datatype.xsd.regex.java
Class RegexEngineImpl

    java.lang.Object
      com.thaiopensource.datatype.xsd.regex.java.RegexEngineImpl

All Implemented Interfaces:
  RegexEngine

    public class RegexEngineImpl

extends java.lang.Object
implements RegexEngine

An implementation of `RegexEngine` using the JDK >= 1.4 `java.util.regex` package.

Constructor Summary
`RegexEngineImpl()`

Method Summary
`Regex` | `compile(java.lang.String str)` Compiles a string containing a regular expression into a `Regex` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexEngineImpl

    public RegexEngineImpl()

Method Detail

### compile

    public Regex compile(java.lang.String str)
                  throws RegexSyntaxException

  Description copied from interface: `RegexEngine`
  Compiles a string containing a regular expression into a `Regex` object. The `Regex` object can be used to test whether a string matches the regular expression.

  Specified by:
    `compile` in interface `RegexEngine`
  Parameters:
    `str` - a String containing a regular expression
  Returns:
    a `Regex` for `str`
  Throws:
    `RegexSyntaxException` - if `str` is not a valid regular expression

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD